t.rast3d.univar(1)

NAME
t.rast3d.univar - Calculates univariate statistics from the non-null cells for each registered 3D raster map of a space time 3D raster dataset.

KEYWORDS
temporal, statistics, raster3d, voxel, time, parallel

SYNOPSIS
t.rast3d.univar
t.rast3d.univar --help
t.rast3d.univar [-es] input=name [zones=name] [nprocs=integer] [output=name] [where=sql_query] [separator=character] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-e
    Calculate extended statistics

-s
    Suppress printing of column names

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of the input space time raster3d dataset

zones=name
    Raster map with zones to compute statistics for
    Raster map with zones to compute statistics for (needs to be CELL)

nprocs=integer
    Number of threads for parallel computing
    Default: 1

output=name
    Name for output file

where=sql_query
    WHERE conditions of SQL statement without ’where’ keyword used in the temporal GIS framework
    Example: start_time > ’2001-01-01 12:30:00’

separator=character
    Field separator character between the output columns
    Special characters: pipe, comma, space, tab, newline
    Default: pipe

DESCRIPTION
t.rast3d.univar provides the same functionality as t.rast.univar, the only difference is the 3D raster map layer metadata. Please refer to the manual page of t.rast.univar for documentation and examples.

SEE ALSO
t.rast.univar, t.create, t.info

AUTHOR
Sören Gebbert, Thünen Institute of Climate-Smart Agriculture
Stefan Blumentrath (support for zones)

SOURCE CODE

Available at: t.rast3d.univar source code (history)

Latest change: Tuesday Dec 17 20:17:20 2024 in commit: d962e90c026708a4815ea2b9f46c0e84c17de22d

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2025 GRASS Development Team, GRASS GIS 8.4.1 Reference Manual